org.icefaces.ace.component.richtextentry

## Class RichTextEntryBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.icefaces.ace.component.richtextentry.RichTextEntryBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IRichTextEntry
  Direct Known Subclasses:
    RichTextEntry

      public abstract class RichTextEntryBase
      extends javax.faces.component.UIInput
      implements IRichTextEntry, IceClientBehaviorHolder

  RichTextEntry uses the CKEditor API to provide JSF based rich text editor component.

  For more information, see the RichTextEntry Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `RichTextEntryBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichTextEntryBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(java.lang.String eventName, javax.faces.component.behavior.ClientBehavior behavior)`
    `int` | `getAutogrowBufferSpace()` Return the value of the `autogrowBufferSpace` property.
    `int` | `getAutogrowMaxHeight()` Return the value of the `autogrowMaxHeight` property.
    `int` | `getAutogrowMinHeight()` Return the value of the `autogrowMinHeight` property.
    `java.lang.String` | `getCustomConfigPath()` Return the value of the `customConfigPath` property.
    `java.lang.String` | `getDefaultEventName()`
    `java.lang.String` | `getDefaultExecute(java.lang.String event)`
    `java.lang.String` | `getDefaultRender(java.lang.String event)`
    `java.util.Collection<java.lang.String>` | `getEventNames()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getHeight()` Return the value of the `height` property.
    `java.lang.String` | `getLanguage()` Return the value of the `language` property.
    `java.lang.String` | `getListenerArgument(java.lang.String event)`
    `java.lang.String` | `getSkin()` Return the value of the `skin` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getToolbar()` Return the value of the `toolbar` property.
    `java.lang.String` | `getWidth()` Return the value of the `width` property.
    `boolean` | `isAutogrow()` Return the value of the `autogrow` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `boolean` | `isSaveOnSubmit()` Return the value of the `saveOnSubmit` property.
    `void` | `setAutogrow(boolean autogrow)` Set the value of the `autogrow` property.
    `void` | `setAutogrowBufferSpace(int autogrowBufferSpace)` Set the value of the `autogrowBufferSpace` property.
    `void` | `setAutogrowMaxHeight(int autogrowMaxHeight)` Set the value of the `autogrowMaxHeight` property.
    `void` | `setAutogrowMinHeight(int autogrowMinHeight)` Set the value of the `autogrowMinHeight` property.
    `void` | `setCustomConfigPath(java.lang.String customConfigPath)` Set the value of the `customConfigPath` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setHeight(java.lang.String height)` Set the value of the `height` property.
    `void` | `setLanguage(java.lang.String language)` Set the value of the `language` property.
    `void` | `setSaveOnSubmit(boolean saveOnSubmit)` Set the value of the `saveOnSubmit` property.
    `void` | `setSkin(java.lang.String skin)` Set the value of the `skin` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setToolbar(java.lang.String toolbar)` Set the value of the `toolbar` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidth(java.lang.String width)` Set the value of the `width` property.

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RichTextEntryBase

          public RichTextEntryBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### setAutogrow

          public void setAutogrow(boolean autogrow)

      Set the value of the `autogrow` property.

      Contents: Enabling this behaviour will automatically expand and shrink vertically the editor, depending on the amount and size of the content. Customize the maximum and minimum heights, as well as the buffer space, via the attributes 'autogrowMinHeight', 'autogrowMaxHeight', and 'autogrowBufferSpace'.

      Specified by:
        `setAutogrow` in interface `IRichTextEntry`

    - #### isAutogrow

          public boolean isAutogrow()

      Return the value of the `autogrow` property.

      Contents: Enabling this behaviour will automatically expand and shrink vertically the editor, depending on the amount and size of the content. Customize the maximum and minimum heights, as well as the buffer space, via the attributes 'autogrowMinHeight', 'autogrowMaxHeight', and 'autogrowBufferSpace'. Default = 'false'.

      Specified by:
        `isAutogrow` in interface `IRichTextEntry`

    - #### setAutogrowBufferSpace

          public void setAutogrowBufferSpace(int autogrowBufferSpace)

      Set the value of the `autogrowBufferSpace` property.

      Contents: When the autogrow behaviour is enabled, this is the vertical space between the last line of content in the editing area and the editor's footer, in pixels (when the editing area is taller than the minimum height).

      Specified by:
        `setAutogrowBufferSpace` in interface `IRichTextEntry`

    - #### getAutogrowBufferSpace

          public int getAutogrowBufferSpace()

      Return the value of the `autogrowBufferSpace` property.

      Contents: When the autogrow behaviour is enabled, this is the vertical space between the last line of content in the editing area and the editor's footer, in pixels (when the editing area is taller than the minimum height). Default = '50'.

      Specified by:
        `getAutogrowBufferSpace` in interface `IRichTextEntry`

    - #### setAutogrowMaxHeight

          public void setAutogrowMaxHeight(int autogrowMaxHeight)

      Set the value of the `autogrowMaxHeight` property.

      Contents: When the autogrow behaviour is enabled, the editing area will be no taller than the amount specified by this attribute, in pixels. A value of 0 indicates that there is no set limit. This and the 'autogrowMinHeight' attributes override the regular 'height' attribute.

      Specified by:
        `setAutogrowMaxHeight` in interface `IRichTextEntry`

    - #### getAutogrowMaxHeight

          public int getAutogrowMaxHeight()

      Return the value of the `autogrowMaxHeight` property.

      Contents: When the autogrow behaviour is enabled, the editing area will be no taller than the amount specified by this attribute, in pixels. A value of 0 indicates that there is no set limit. This and the 'autogrowMinHeight' attributes override the regular 'height' attribute. Default = '0'.

      Specified by:
        `getAutogrowMaxHeight` in interface `IRichTextEntry`

    - #### setAutogrowMinHeight

          public void setAutogrowMinHeight(int autogrowMinHeight)

      Set the value of the `autogrowMinHeight` property.

      Contents: When the autogrow behaviour is enabled, the editing area will be no shorter than the amount specified by this attribute, in pixels. This and the 'autogrowMaxHeight' attributes override the regular 'height' attribute.

      Specified by:
        `setAutogrowMinHeight` in interface `IRichTextEntry`

    - #### getAutogrowMinHeight

          public int getAutogrowMinHeight()

      Return the value of the `autogrowMinHeight` property.

      Contents: When the autogrow behaviour is enabled, the editing area will be no shorter than the amount specified by this attribute, in pixels. This and the 'autogrowMaxHeight' attributes override the regular 'height' attribute. Default = '300'.

      Specified by:
        `getAutogrowMinHeight` in interface `IRichTextEntry`

    - #### setCustomConfigPath

          public void setCustomConfigPath(java.lang.String customConfigPath)

      Set the value of the `customConfigPath` property.

      Contents: This attribute defines the path of the custom config file, the path is relative to the web app.

      Specified by:
        `setCustomConfigPath` in interface `IRichTextEntry`

    - #### getCustomConfigPath

          public java.lang.String getCustomConfigPath()

      Return the value of the `customConfigPath` property.

      Contents: This attribute defines the path of the custom config file, the path is relative to the web app.

      Specified by:
        `getCustomConfigPath` in interface `IRichTextEntry`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: Boolean value to disable the editor functions.

      Specified by:
        `setDisabled` in interface `IRichTextEntry`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: Boolean value to disable the editor functions. Default = 'false'.

      Specified by:
        `isDisabled` in interface `IRichTextEntry`

    - #### setHeight

          public void setHeight(java.lang.String height)

      Set the value of the `height` property.

      Contents: The height of the editable area only. It can be expressed in px and em units (percent units (%) are not supported). If no unit is specified, the value is assumed to be in pixels.

      Specified by:
        `setHeight` in interface `IRichTextEntry`

    - #### getHeight

          public java.lang.String getHeight()

      Return the value of the `height` property.

      Contents: The height of the editable area only. It can be expressed in px and em units (percent units (%) are not supported). If no unit is specified, the value is assumed to be in pixels. Default = '200px'.

      Specified by:
        `getHeight` in interface `IRichTextEntry`

    - #### setLanguage

          public void setLanguage(java.lang.String language)

      Set the value of the `language` property.

      Contents: Specifies the language to be used for the user interface.

      Specified by:
        `setLanguage` in interface `IRichTextEntry`

    - #### getLanguage

          public java.lang.String getLanguage()

      Return the value of the `language` property.

      Contents: Specifies the language to be used for the user interface. Default = 'en'.

      Specified by:
        `getLanguage` in interface `IRichTextEntry`

    - #### setSaveOnSubmit

          public void setSaveOnSubmit(boolean saveOnSubmit)

      Set the value of the `saveOnSubmit` property.

      Contents: By default the data of the editor will only be saved when its 'Save' button is clicked. Any other submit request will not save its data. In order to save its data on any submit request like inputText does, this attribute can be set to true.

      Specified by:
        `setSaveOnSubmit` in interface `IRichTextEntry`

    - #### isSaveOnSubmit

          public boolean isSaveOnSubmit()

      Return the value of the `saveOnSubmit` property.

      Contents: By default the data of the editor will only be saved when its 'Save' button is clicked. Any other submit request will not save its data. In order to save its data on any submit request like inputText does, this attribute can be set to true. Default = 'false'.

      Specified by:
        `isSaveOnSubmit` in interface `IRichTextEntry`

    - #### setSkin

          public void setSkin(java.lang.String skin)

      Set the value of the `skin` property.

      Contents: Specify the pre-defined skin for the editor. Possible values are 'moono', 'moonocolor', 'moonodark', 'moonoblue', 'moonolisa', 'office2013', 'kama', and 'bootstrap' for all browsers, except for IE7 (which uses a previous editor version). Possible values for IE7 are 'v2', 'office2003', and 'kama' ('default' is synonymous of 'moono' for all browsers except for IE7 and 'v2' for IE7).

      Specified by:
        `setSkin` in interface `IRichTextEntry`

    - #### getSkin

          public java.lang.String getSkin()

      Return the value of the `skin` property.

      Contents: Specify the pre-defined skin for the editor. Possible values are 'moono', 'moonocolor', 'moonodark', 'moonoblue', 'moonolisa', 'office2013', 'kama', and 'bootstrap' for all browsers, except for IE7 (which uses a previous editor version). Possible values for IE7 are 'v2', 'office2003', and 'kama' ('default' is synonymous of 'moono' for all browsers except for IE7 and 'v2' for IE7). Default = 'default'.

      Specified by:
        `getSkin` in interface `IRichTextEntry`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Inline CSS styling for the editor.

      Specified by:
        `setStyle` in interface `IRichTextEntry`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Inline CSS styling for the editor.

      Specified by:
        `getStyle` in interface `IRichTextEntry`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: The CSS style class of the editor.

      Specified by:
        `setStyleClass` in interface `IRichTextEntry`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: The CSS style class of the editor.

      Specified by:
        `getStyleClass` in interface `IRichTextEntry`

    - #### setToolbar

          public void setToolbar(java.lang.String toolbar)

      Set the value of the `toolbar` property.

      Contents: Specifies the type of toolbar. There are two valid values for this field (case sensitive): 'Default' and 'Basic'.

      Specified by:
        `setToolbar` in interface `IRichTextEntry`

    - #### getToolbar

          public java.lang.String getToolbar()

      Return the value of the `toolbar` property.

      Contents: Specifies the type of toolbar. There are two valid values for this field (case sensitive): 'Default' and 'Basic'. Default = 'Default'.

      Specified by:
        `getToolbar` in interface `IRichTextEntry`

    - #### setWidth

          public void setWidth(java.lang.String width)

      Set the value of the `width` property.

      Contents: The width of the entire editor. It can be expressed in px, em, and % units. If no unit is specified, the value is assumed to be in pixels.

      Specified by:
        `setWidth` in interface `IRichTextEntry`

    - #### getWidth

          public java.lang.String getWidth()

      Return the value of the `width` property.

      Contents: The width of the entire editor. It can be expressed in px, em, and % units. If no unit is specified, the value is assumed to be in pixels. Default = '100%'.

      Specified by:
        `getWidth` in interface `IRichTextEntry`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public java.util.Collection<java.lang.String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public java.lang.String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultRender

          public java.lang.String getDefaultRender(java.lang.String event)

      Specified by:
        `getDefaultRender` in interface `IceClientBehaviorHolder`

    - #### getDefaultExecute

          public java.lang.String getDefaultExecute(java.lang.String event)

      Specified by:
        `getDefaultExecute` in interface `IceClientBehaviorHolder`

    - #### getListenerArgument

          public java.lang.String getListenerArgument(java.lang.String event)

      Specified by:
        `getListenerArgument` in interface `IceClientBehaviorHolder`

    - #### addClientBehavior

          public void addClientBehavior(java.lang.String eventName,
                                        javax.faces.component.behavior.ClientBehavior behavior)

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.